#!/bin/ksh
#=========================================================================
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 09 avril 2008
#  Projet      : CFT et flux SAS
#  Version     : 1.0
#
#  Description : - traitement MAD WSASMADE
#                  copier le fichier recu dans un domaine SAS
#
#
#=============================================================================================================
#============== DEBUT TRT 
#=============================================================================================================
#
#------------- copie des parametres generaux aux procs WSASMAD

 . ~cft/filinst/PROD/TRT_WSASMADE/Debut_trt_WSASMAD.cpy

#------------- Tester variables recus

  test -f "${repficin}" ||  exit 9
  test -d "${repout}" ||  exit 9

#------------- Tester taille dispo sur FS

  Tailleficin=$( ls -l ${repficin} | awk '{ print $5 }' )
#------ taille en Ko
  (( Tailleficin/=1024 ))
#------ fichier zippe compter 10 fois plus au dezip
  (( Tailleficin*=10 ))

#--------- comparer avec taille presente sur FS de reception 
  Taillerepout=$( df -k ${repout} | tail +2 | awk '{ print $3 }' )

  if test ${Tailleficin} -ge ${Taillerepout}
       then
           echo "Probleme taille trop petite sur ${repout} "
           exit 9
  fi

#---------- copier le fichier dans le SAS Final

   if test -f "${repout}/${cft_nfname}" 
     then
         echo "Fichier ${repout}/${cft_nfname} deja present "
        ## exit 9
   fi

#---------- copier le fichier dans le SAS Final

  cp -p "${repficin}" "${repout}/${cft_nfname}"
  test $? -ne 0 &&  exit 9
  

exit ${RC}
