#!/bin/ksh
#=========================================================================
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 09 avril 2008
#  Projet      : CFT et flux SAS
#  Version     : 1.0
#
#  Description : - traitement MAD WSASMADE
#                  dezipper le fichier mis a disposition dans un domaine SAS
#
#--------------------------------------------------------------------------------------
#
#=============================================================================================================
#============== DEBUT TRT
#=============================================================================================================
#
#------------- copie des parametres generaux aux procs WSASMAD

 . ~cft/filinst/PROD/TRT_WSASMADE/Debut_trt_WSASMAD.cpy

#------------- dzipper fichier 
set +e

  cd ${repout}
#------- tester si fichier vraiment vide 
 gzip -l ./"${cft_nfname}" || exit 9

  Vuncompr=$( gzip -l ./"${cft_nfname}" | tail +2 | awk '{ print $2 }' )

  if test $Vuncompr -eq 0 
     then
          rm ./"${cft_nfname}"
          touch ./"${cft_nfname}"
          RC=1
  else
         gzip -dfvq ./"${cft_nfname}"
         RC=$?
  fi

#----- cas trailing garbage ignored si gzip a ete fait pad a zeroes
  test ${RC} -eq 2 && RC=0

#---------- cas fichier vide a accepter
  if test $RC -eq 1 
    then
         if test ! -s ./"${cft_nfname}"
             then 
                mv ./"${cft_nfname}" ./"${ficout}"
                RC=$?
         fi
   fi

exit ${RC}
