#!/bin/ksh
#=========================================================================
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 09 avril 2008
#  Projet      : CFT et flux SAS
#  Version     : 1.0
#
#  Description : - Scrute le repertoire donne en parm 1
#                  et execute les scripts trouves
#
#--------------------------------------------------------------------------------------
#
#=============================================================================================================
#============== DEBUT TRT 
#=============================================================================================================
#
 . ~cft/filinst/PROD/ENVKSH_CFT/Send_Err.cpy
 . ~cft/filinst/PROD/ENVKSH_CFT/Send_Mail.cpy

set -a

#------------- parametres generaux
#--------- home ou se trouve les scripts a lancer
repHomeTrt=$1
OdateCTM=$(echo $2 | cut -c3- )

HomeTrt=$( dirname ${repHomeTrt} )

RC=0

LibTrt="Scruteur pour MAD flux WSASMADE"

fic_mail=/tmp/fic_mail_$$
#-------- sorties redirigees en cas de probleme info par mail
    exec 1> ${fic_mail} 2>&1

#------------
   test -d ${repHomeTrt} ||  Send_Err

#------------ Executer les scripts ci trouvant
  for fic in $( ls -tr ${repHomeTrt}/WSASMADE* )
   do
     echo "======= Trt ${fic} ====================="
     ksh ${fic} ${OdateCTM}
     (( RC+=$? ))
     test ${RC} -ne 0 && Send_Err
    
     echo "Fin trt - basculer script dans repertoire fait "
     test -d ${HomeTrt}/Fait || mkdir ${HomeTrt}/Fait

     nomfic=$( basename ${fic} | cut -d"_" -f1,3 )
     mv ${fic} ${HomeTrt}/Fait/${nomfic}
     test $? -ne 0 && Send_Err

#-------- appeler le script generant les GDG sur le rep Fait
     BTOUTILSX=~cft/filinst/PROD/TRT_WSASMADE
     repout=${HomeTrt}/Fait
     ficout=${nomfic}
     PATH=$PATH:/outils_exp/Sas/shell
       gdg_config.sh "${ficout}" 10

#------ nouvelle version dans laquelle on copie le fichier recu
       mv "${repout}/${ficout}" $( gdg_version.sh "${repout}/${ficout}" +1 )

#------ version temporarire en version definitive GDG
        gdg_archive.sh "${repout}/${ficout}"
   done

# Send_Mail

 test -f ${fic_mail} && rm ${fic_mail}

exit ${RC}
